org.apache.jmeter.testbeans.gui

## Class BooleanPropertyEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.apache.jmeter.testbeans.gui.BooleanPropertyEditor

- All Implemented Interfaces:
    PropertyEditor

      public class BooleanPropertyEditor
      extends PropertyEditorSupport

  Property Editor which handles Boolean properties.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanPropertyEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAsText()`
    `String[]` | `getTags()`
    `void` | `setAsText(String text)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanPropertyEditor

          public BooleanPropertyEditor()

  - ### Method Detail

    - #### getAsText

          public String getAsText()

      Specified by:
        `getAsText` in interface `PropertyEditor`
      Overrides:
        `getAsText` in class `PropertyEditorSupport`

    - #### setAsText

          public void setAsText(String text)

      Specified by:
        `setAsText` in interface `PropertyEditor`
      Overrides:
        `setAsText` in class `PropertyEditorSupport`

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in interface `PropertyEditor`
      Overrides:
        `setValue` in class `PropertyEditorSupport`

    - #### getTags

          public String[] getTags()

      Specified by:
        `getTags` in interface `PropertyEditor`
      Overrides:
        `getTags` in class `PropertyEditorSupport`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.